﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.1.45.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 11/02/2020 11:45:31
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS ejemplo5yii2poo;

CREATE DATABASE IF NOT EXISTS ejemplo5yii2poo
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE ejemplo5yii2poo;

--
-- Create table `almacenes`
--
CREATE TABLE IF NOT EXISTS almacenes (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(255) DEFAULT NULL,
  direccion varchar(255) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `productos`
--
CREATE TABLE IF NOT EXISTS productos (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(255) DEFAULT NULL,
  foto varchar(255) DEFAULT NULL,
  almacen int(11) DEFAULT NULL,
  fecha date DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE productos
ADD CONSTRAINT FK_productos_almacenes_id FOREIGN KEY (almacen)
REFERENCES almacenes (id) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table almacenes
--
-- Table ejemplo5yii2poo.almacenes does not contain any data (it is empty)

-- 
-- Dumping data for table productos
--
-- Table ejemplo5yii2poo.productos does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;